# Need Help?

## Accessing APIs During Development<a id="whitelisting"></a>

The following functionality is available with help from your designated Amazon Solutions Architect (SA) or Partner Manager:

* Amazon Music and other music service providers
* Wake Word support
* Phone Call Control
* Alexa Communication
* Local Voice Control
* Device Client Metrics
* Voice Chrome for Android

You will need to provide the Amazon ID of your development device or product on the [AVS Developer Portal](https://developer.amazon.com/avs/home.html#/avs/home).

1. Log into the [AVS Developer Portal](https://developer.amazon.com/avs/home.html#/avs/home).
2. Click **Manage** to the right of your device in its listing on the [My Products](https://developer.amazon.com/avs/home.html#/avs/home) page. Take note of your **Amazon ID** for your device.
3. Contact your SA or Partner Manager and provide them with the **Amazon ID** and the functionality you'd like to request.

## Reporting an Issue<a id="reportinganissue"></a>

### Existing Alexa Auto SDK Customers

Please reach out to the designated Amazon Solutions Architect (SA) or Partner Manager for your company, and include the following information:

* **Overview** - provide a brief overview of the issue
* **Steps to reproduce** - provide details of how to reproduce the issue
* **Logs** - include relevant logs
* **Platform and environment** - provide details about your hardware platform, operating system, compiler, API level, etc.

### New Alexa Auto SDK Customers

Please fill out the form "Request more information" at the bottom of the [Alexa Auto Software Development Kit (SDK)](https://developer.amazon.com/alexa-voice-service/alexa-auto-sdk) page. Once you have submitted your request, someone from Amazon will contact you.

## Making Pull Requests<a id="pullrequests"></a>

We are **not** accepting pull requests or community contributed bug fixes at this time.
